Bug 1432951 (CVE-2017-6436)

Summary: CVE-2017-6436 libplist: Integer overflow in parse_string_node
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bnocera, cfergeau, slawomir, thoger
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-17 07:17:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1432971    
Bug Blocks: 1432966    

Description Adam Mariš 2017-03-16 13:03:10 UTC
The parse_string_node function in bplist.c in libimobiledevice libplist 1.12 allows local users to cause a denial of service (memory allocation error) via a crafted plist file.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/94

Upstream patch:

https://github.com/libimobiledevice/libplist/commit/32ee5213fe64f1e10ec76c1ee861ee6f233120dd

Comment 1 Adam Mariš 2017-03-16 13:27:51 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1432971]

Comment 3 Peter Robinson 2017-05-12 14:28:41 UTC
Why are you reopening these?

Comment 4 Tomas Hoger 2017-05-12 20:18:01 UTC
These CVE bugs filed against the "Security Response" product are used to track flaws across multiple products using Red Hat Bugzilla.  While Fedora was dealt with, there are other products with pending actions.  Also Fixed-In field has special meaning / format in the "Security Response" bugs.

Comment 5 Peter Robinson 2017-05-14 16:08:21 UTC
(In reply to Tomas Hoger from comment #4)
> These CVE bugs filed against the "Security Response" product are used to
> track flaws across multiple products using Red Hat Bugzilla.  While Fedora
> was dealt with, there are other products with pending actions.  Also
> Fixed-In field has special meaning / format in the "Security Response" bugs.

Where is the details of the "special meaning" publicly documented?

Comment 6 Martin Prpič 2017-05-15 08:52:36 UTC
(In reply to Peter Robinson from comment #5)
> (In reply to Tomas Hoger from comment #4)
> > These CVE bugs filed against the "Security Response" product are used to
> > track flaws across multiple products using Red Hat Bugzilla.  While Fedora
> > was dealt with, there are other products with pending actions.  Also
> > Fixed-In field has special meaning / format in the "Security Response" bugs.
> 
> Where is the details of the "special meaning" publicly documented?

Nowhere right now. But since the bug is not assigned to you (only the tracking one is), it is not really expected that you'd need to update it. The changes you made here should have been done in the product-relevant bug only.